define(["require", "exports", "../../../Styling", "../../../Utilities"], function (require, exports, Styling_1, Utilities_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var DEFAULT_BUTTON_HEIGHT = '32px';
    var DEFAULT_PADDING = '0 4px';
    exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles) {
        var splitButtonStyles = {
            splitButtonContainer: {
                position: 'relative',
                display: 'inline-block',
                border: '1px solid transparent',
                ':hover': {
                    border: '1px solid',
                    borderColor: theme.palette.neutralLight
                },
                ':focus': {
                    outline: 'none!important',
                    border: '1px solid',
                    borderColor: theme.palette.neutralDark
                }
            },
            splitButtonContainerDisabled: {},
            splitButtonMenuButton: {
                padding: '6px',
                height: 'auto',
                color: theme.palette.white,
                boxSizing: 'border-box',
                border: '1px solid transparent',
                userSelect: 'none',
                display: 'inline-block',
                textDecoration: 'none',
                textAlign: 'center',
                cursor: 'pointer',
                verticalAlign: 'top',
                width: '32px',
                backgroundColor: theme.palette.neutralLighter,
                ':hover': {
                    backgroundColor: theme.palette.neutralLight
                },
            },
            splitButtonMenuButtonDisabled: {
                backgroundColor: theme.palette.neutralLighter,
                ':hover': {
                    backgroundColor: theme.palette.neutralLighter,
                    cursor: 'default'
                }
            },
            splitButtonMenuIcon: {
                color: theme.palette.neutralPrimary
            },
            splitButtonMenuIconDisabled: {
                color: theme.palette.neutralTertiary
            },
            splitButtonFlexContainer: {
                display: 'flex',
                height: '100%',
                flexWrap: 'nowrap',
                justifyContent: 'center',
                alignItems: 'center'
            },
            splitButtonMenuButtonChecked: {
                backgroundColor: theme.palette.themePrimary,
            },
            splitButtonMenuButtonExpanded: {
                backgroundColor: theme.palette.neutralLight,
            },
        };
        return Styling_1.mergeStyleSets(splitButtonStyles, customStyles);
    });
});
//# sourceMappingURL=SplitButton.styles.js.map