"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Utilities_1 = require("../../Utilities");
var Styling_1 = require("../../Styling");
exports.getStyles = Utilities_1.memoizeFunction(function (theme, customStyles) {
    var styles = {
        root: {
            width: '340px',
            'pointer-events': 'none',
            '.ms-Callout': {
                'box-shadow': '0 0 20px rgba(0, 0, 0, .2)',
                border: 'none'
            }
        },
        compactCard: {
            'pointer-events': 'auto',
            position: 'relative'
        },
        expandedCard: [
            {
                height: '1px',
                'overflow-y': 'hidden',
                'pointer-events': 'auto',
                transition: 'height 0.467s cubic-bezier(0.5, 0, 0, 1)'
            },
            Styling_1.before({
                content: '""',
                position: 'relative',
                display: 'block',
                top: '0',
                left: '0',
                right: '0',
                height: '1px',
                'background-color': theme.palette.neutralLighter
            })
        ],
        expandedCardScroll: {
            height: '100%',
            'box-sizing': 'border-box',
            'overflow-y': 'auto'
        }
    };
    return Styling_1.mergeStyleSets(styles, customStyles);
});
//# sourceMappingURL=ExpandingCard.styles.js.map